Firefox 3.0.5 and 2.0.0.19 Tackle Security Problems

Dec 18, 2008

The Mozilla project has moved both branches of its Firefox browser to versions 2.0.0.19 and 3.0.5. The updates deal primarily with security issues.

Among Firefox's security problems are attacks from cross-site scripting (XSS). Mozilla lists details on its advisory pages for the versions 2.0.0.19 and 3.0.5.

Mozilla engineer Samuel Sidler recommends in a workgroup mailing list that Firefox 2.0.0.x users upgrade "as soon as possible" to Firefox 3.0.5, which is likely an indication that support for the earlier branch will soon be dropped.

Firefox 3.0.5 not only plugs security holes, but provides a few enhancements. Included are new language versions for Bengali, Esperanto, Galician, Hindi and Latvian. The release also replaces the EULA that has been criticized by some users with a "Know Your Rights" info bar on initial installation.

Separate download sites are available for 3.0.5 and 2.0.0.19. Users already running Firefox 2 or 3 will be getting automatic update notifications in the next couple of days.

Related content

comments powered by Disqus

News

njobs Europe
What:
Where:
Country:
Njobs Netherlands Njobs Deutschland Njobs United Kingdom Njobs Italia Njobs France Njobs Espana Njobs Poland
Njobs Austria Njobs Denmark Njobs Belgium Njobs Czech Republic Njobs Mexico Njobs India Njobs Colombia